#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess. `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xmail
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat. $BUILDDIR/zcat


cd $BUILDDIR/xmail
mkdir xmail
cd xmail
cat $SOURCEDIR/xmail/xmail1p4.gz | $BUILDDIR/zcat -d -c | tar xvof -

test -f  $SOURCEDIR/xmail/$machine/xmail. &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xmail/$machine/xmail. | patch -b .rtr -p -s )

xmkmf

if test ${MACHINE} = "risc"; then
test -f /special/gcc/gcc-2.6.0/include/regexp.h && cp /special/gcc/gcc-2.6.0/include/regexp.h .
fi
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi

cd $BUILDDIR/xmail

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xmail ; fi
